using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace LinkCloaker
{
    public partial class hyperLink : Form
    {
        public hyperLink(string displayString, string url)
        {
            InitializeComponent();

            m_Display = displayString;
            txtDisplay.Text = m_Display;
            txtUrl.Text = url;
        }

        private string m_Url;
        private string m_Display;

        public string Url
        {
            get { return m_Url; }
            set { m_Url = value; }
        }

        public string Display
        {
            get { return m_Display; }
            set { m_Display = value; }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            m_Url = txtUrl.Text;
            m_Display = txtDisplay.Text;
        }

        private void txtUrl_Leave(object sender, EventArgs e)
        {
            if (!txtUrl.Text.StartsWith("http://"))
                txtUrl.Text = "http://" + txtUrl.Text;
        }
    }
}